File: changelog

package info (click to toggle)
lwt 2.7.1-7
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 2,436 kB
  • sloc: ml: 25,127; ansic: 4,725; makefile: 82
file content (253 lines) | stat: -rw-r--r-- 7,804 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
lwt (2.7.1-7) unstable; urgency=medium

  * Disable glib bindings

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 06:16:50 +0200

lwt (2.7.1-6) unstable; urgency=medium

  * Remove camlp4 and lib{text,fileutils}-ocaml-dev from Build-Depends
    - doc is no longer built and tests are no longer run
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2019 11:37:02 +0200

lwt (2.7.1-5) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:06:11 +0200

lwt (2.7.1-4) unstable; urgency=medium

  * Disable two tests that hang or fail on arm64 (Closes: #878495)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Oct 2017 10:32:50 +0200

lwt (2.7.1-3) unstable; urgency=medium

  * Properly fix installation on bytecode architectures (Closes:
    #878236)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 13 Oct 2017 14:45:33 +0200

lwt (2.7.1-2) unstable; urgency=medium

  * Fix installation on bytecode architectures (Closes: #878236)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Oct 2017 09:31:18 +0200

lwt (2.7.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - remove patch: there is no more manual to not build
    - build-depend on libresult-ocaml-dev and cppo
    - run tests (except unix_mcast)
    - add lwt_{react,ssl,glib} findlib packages
  * Update debian/watch
  * Bump Standards-Version to 4.0.0

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 14:23:46 +0200

lwt (2.5.2-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 09:06:57 +0200

lwt (2.5.2-1) unstable; urgency=medium

  * New upstream release
  * Fix package description, thanks to Justin B Rye (Closes: #787012)
  * Update Vcs-*
  * Update debian/copyright
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 10:40:19 +0200

lwt (2.5.0+1-1) unstable; urgency=medium

  * New upstream release
    - remove patch Add-Unix.O_CLOEXEC-flag-to-Lwt_unix (applied upstream)
    - add patch Fix-FTBFS
    - add libppx-tools-ocaml-dev to Build-Depends
    - build-depend on libssl-ocaml-dev (>= 0.5)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 22:44:52 +0200

lwt (2.4.3-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:30:43 +0100

lwt (2.4.3-3) experimental; urgency=low

  * debian/patches:
    + Add Unix.O_CLOEXEC flag to Lwt_unix (for OCaml >= 4.01)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 08:11:43 +0100

lwt (2.4.3-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 22:03:43 +0200

lwt (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 17:28:49 +0200

lwt (2.4.2-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 11:15:41 +0100

lwt (2.3.2-1) unstable; urgency=low

  * New upstream release
    - remove fix-a-race-condition-in-Lwt_io.patch (applied upstream)
    - remove fix-data-corruption-in-Lwt_io.patch (applied upstream)
    - add Remove-buggy-dependencies-causing-FTBFS-on-no-natdyn.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 12:37:11 +0100

lwt (2.3.1-1) unstable; urgency=low

  * New upstream release
    - patches removed because they were applied upstream:
      Fix-FTBFS-on-hurd, Fix-link-order-in-library-detection-test
    - new patches cherry-picked from upstream:
      fix-a-race-condition-in-Lwt_io, fix-data-corruption-in-Lwt_io

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2011 22:54:23 +0200

lwt (2.3.0-3) unstable; urgency=low

  * Fix link order in library detection test (fixes FTBFS on Ubuntu)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 09:09:39 +0200

lwt (2.3.0-2) unstable; urgency=low

  * Fix FTBFS on Hurd due to use of PATH_MAX and HOSTNAME_MAX

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Fri, 27 May 2011 01:16:15 +0200

lwt (2.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release 2.2.1
    - add dependency to libev-dev (Closes: #612768)
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compatibility level to 8

  [ Nicolas Dandrimont ]
  * Update to upstream release 2.3.0
  * Install the .cmxs and .cma files in the library packages
  * Add package liblwt-ssl-ocaml (Cooperative OpenSSL bindings runtime)
  * Install META in liblwt-ocaml (Closes: #587472)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 24 Apr 2011 11:30:49 +0200

lwt (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #580322)
  * Add libfindlib-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:33:56 +0200

lwt (2.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - bump priority to optional
    - bump versioned build-dependency to libreact-ocaml-dev to ease
      react transition
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Apr 2010 15:19:47 +0200

lwt (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to dh-ocaml 0.9
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2009 23:58:46 +0200

lwt (2.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Update debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Sep 2009 23:00:10 +0200

lwt (1.1.0+darcs20090806-3) experimental; urgency=low

  * Update my e-mail address, remove DMUA
  * Fix META.in so that lwt exists on bytecode architectures
    (Closes: #544316)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 19:15:16 +0200

lwt (1.1.0+darcs20090806-2) experimental; urgency=low

  * Create a runtime package for liblwt-ocaml-dev
  * Put documentation in its own architecture-independent package
  * Split out liblwt-ocaml-dev into several binary packages to reflect
    optional dependencies: liblwt-ssl-*, liblwt-glib-*

 -- Stephane Glondu <steph@glondu.net>  Tue, 25 Aug 2009 01:51:47 +0200

lwt (1.1.0+darcs20090806-1) experimental; urgency=low

  * New upstream snapshot
    - this version comes with an important API incompatibility regarding
      Lwt.{wait,wakeup} and friends (breaks ocsigen)
  * debian/control:
    - move to section ocaml, update Standards-Version to 3.8.3
    - add (build-)dependencies to lib{react,text,lablgtk2}-ocaml-dev,
      ocaml-compiler-libs and camlp4
  * Update watch file

 -- Stephane Glondu <steph@glondu.net>  Thu, 20 Aug 2009 17:12:13 +0200

lwt (1.1.0-3) unstable; urgency=low

  * Add dependency on dh-ocaml
  * Use ocaml.mk as "rules" file, instead of "class"
  * Bump version of libssl-ocaml-dev in dependencies
  * Set priority to extra

 -- Stephane Glondu <steph@glondu.net>  Mon, 02 Mar 2009 21:30:53 +0100

lwt (1.1.0-2) unstable; urgency=low

  * Upload after erroneous removal from archive (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 11 Jul 2008 13:20:06 +0200

lwt (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #487997)

 -- Stephane Glondu <steph@glondu.net>  Fri, 27 Jun 2008 00:47:45 +0200